<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content class">
                   <div class="content-data">











<ol class="breadcrumb">
  <li>Classes</li>
  <li>ConstTranslateLoader</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/core/core.module.ts</code>
        </p>


            <p class="comment">
                <h3>Extends</h3>
            </p>
            <p class="comment">
                    <code>TranslateLoader</code>
            </p>



            <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#getTranslation">getTranslation</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

            <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(i18n: <a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank">any</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">src/app/core/core.module.ts:31</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>i18n</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>


            <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getTranslation"></a>
                        <span class="name">
                            <b>
                            getTranslation
                            </b>
                            <a href="#getTranslation"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>getTranslation(lang: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="36" class="link-to-prism">src/app/core/core.module.ts:36</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>lang</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code>Observable&lt;any&gt;</code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>






    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { ErrorHandler, NgModule } from &quot;@angular/core&quot;;
import { CommonModule, DatePipe } from &quot;@angular/common&quot;;
import { BusinessErrorDialogComponent } from &quot;./business-error-dialog/business-error-dialog.component&quot;;
import { TechnicalErrorDialogComponent } from &quot;./technical-error-dialog/technical-error-dialog.component&quot;;
import { MatButtonModule, MatDialogModule, MatIconModule, MatProgressSpinnerModule } from &quot;@angular/material&quot;;
import { MissingTranslationHandler, TranslateLoader, TranslateModule } from &quot;@ngx-translate/core&quot;;
import { BOMissingTranslationHandler } from &quot;./bo-missing-translation-handler&quot;;
import { FlexLayoutModule } from &quot;@angular/flex-layout&quot;;
import { RemoteLoggerService } from &quot;./service/logger/remote.logger.service&quot;;
import { GlobalErrorHandler } from &quot;./error-handler/global.error-handler&quot;;
import { BaseUrlService } from &#x27;./service/base-url/base-url.service&#x27;;
import { UploadService } from &#x27;./service/upload/upload.service&#x27;;
import { OperationResolver } from &#x27;../operation/service/operation-resolver&#x27;;
import { OperationService } from &#x27;../operation/service/operation.service&#x27;;
import { FileService } from &#x27;./service/file-service/file-service&#x27;;
import { HTTP_INTERCEPTORS, HttpClientModule } from &#x27;@angular/common/http&#x27;;
import { HttpParameters } from &#x27;./service/http/http.parameters.service&#x27;;
import { InProgressInterceptor, WaitingCover } from &#x27;./service/http/InProgressInterceptor&#x27;;
import { Observable } from &#x27;rxjs/Observable&#x27;;
import { i18n } from &#x27;../i18n/i18n&#x27;;
import { AuthorizationGuard, AuthorizationService } from &#x27;./service/http/authorization.service&#x27;;
import { AuthenticationInterceptor } from &#x27;./service/http/authentication.interceptor&#x27;;
import { DateInterceptor } from &#x27;./service/http/DateInterceptor&#x27;;
import { ErrorInterceptor } from &#x27;./service/http/ErrorInterceptor&#x27;;
import { NoCacheInterceptor } from &#x27;./service/http/NoCacheInterceptor&#x27;;
import { of } from &#x27;rxjs/observable/of&#x27;;
import { ConfirmBeforeQuitGuard } from &#x27;./confirm-before-quit&#x27;;
import { DictionaryService } from &#x27;./service/dictionary.service&#x27;;


class ConstTranslateLoader extends TranslateLoader {
  constructor(private i18n: any) {
    super();
  }

  getTranslation(lang: string): Observable&lt;any&gt; {
    return of(this.i18n[lang]);
  }
}

@NgModule({
  imports: [
    MatDialogModule,
    MatIconModule,
    MatButtonModule,
    MatProgressSpinnerModule,
    CommonModule,
    FlexLayoutModule,
    HttpClientModule,
    TranslateModule.forRoot({
      loader: {
        provide: TranslateLoader,
        useValue: new ConstTranslateLoader(i18n),
      },
      missingTranslationHandler: {provide: MissingTranslationHandler, useClass: BOMissingTranslationHandler}
    })
  ],
  declarations: [TechnicalErrorDialogComponent, BusinessErrorDialogComponent, WaitingCover],
  entryComponents: [TechnicalErrorDialogComponent, BusinessErrorDialogComponent, WaitingCover],
  providers: [
    AuthorizationService,
    DatePipe,
    HttpParameters,
    DictionaryService,
    BaseUrlService,
    RemoteLoggerService,
    {provide: ErrorHandler, useClass: GlobalErrorHandler},
    UploadService,
    FileService,
    OperationResolver,
    OperationService,
    AuthorizationGuard,
    ConfirmBeforeQuitGuard,
    {provide: HTTP_INTERCEPTORS, useClass: DateInterceptor, multi: true},
    {provide: HTTP_INTERCEPTORS, useClass: ErrorInterceptor, multi: true},
    {provide: HTTP_INTERCEPTORS, useClass: NoCacheInterceptor, multi: true},
    {provide: HTTP_INTERCEPTORS, useClass: InProgressInterceptor, multi: true},
    {provide: HTTP_INTERCEPTORS, useClass: AuthenticationInterceptor, multi: true}
  ],

  exports: [HttpClientModule]
})
export class CoreModule {
}
</code></pre>
    </div>
</div>







                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'class';
            var COMPODOC_CURRENT_PAGE_URL = 'ConstTranslateLoader.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
